cascading.tap.partition

## Enum BasePartitionTap.Counters

- java.lang.Object
- - java.lang.Enum<BasePartitionTap.Counters>
  - - cascading.tap.partition.BasePartitionTap.Counters

All Implemented Interfaces:
  Serializable, Comparable<BasePartitionTap.Counters>

Enclosing class:
  BasePartitionTap<Config,Input,Output>

    public static enum BasePartitionTap.Counters
    extends Enum<BasePartitionTap.Counters>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Path_Purges`
`Paths_Closed`
`Paths_Opened`

### Method Summary

Methods
`static BasePartitionTap.Counters` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BasePartitionTap.Counters[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Paths_Opened

    public static final BasePartitionTap.Counters Paths_Opened

#### Paths_Closed

    public static final BasePartitionTap.Counters Paths_Closed

#### Path_Purges

    public static final BasePartitionTap.Counters Path_Purges

### Method Detail

#### values

    public static BasePartitionTap.Counters[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BasePartitionTap.Counters c : BasePartitionTap.Counters.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BasePartitionTap.Counters valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null